Summarize topology test results
curl --request POST \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"test_slugs": [
"<string>"
],
"created_at_after": "2023-11-07T05:31:56Z",
"created_at_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/"
payload = {
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"test_slugs": ["<string>"],
"created_at_after": "2023-11-07T05:31:56Z",
"created_at_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
test_slugs: ['<string>'],
created_at_after: '2023-11-07T05:31:56Z',
created_at_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'test_slugs' => [
'<string>'
],
'created_at_after' => '2023-11-07T05:31:56Z',
'created_at_before' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/"
payload := strings.NewReader("{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"topology_group": "<string>",
"display_name": "<string>",
"topology_scope": "single_rack",
"rack_names": [
"<string>"
],
"rack_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"selected_device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"latest_results": {
"pairwise": {},
"collective": {}
}
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
Summarize topology test results
Site-scoped read-style POST endpoint for multi-node topology summaries.
POST
/
api
/
v1
/
burn-in
/
sites
/
{site_id}
/
topology-test-summaries
/
summary
/
Summarize topology test results
curl --request POST \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"test_slugs": [
"<string>"
],
"created_at_after": "2023-11-07T05:31:56Z",
"created_at_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/"
payload = {
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"test_slugs": ["<string>"],
"created_at_after": "2023-11-07T05:31:56Z",
"created_at_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
test_slugs: ['<string>'],
created_at_after: '2023-11-07T05:31:56Z',
created_at_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'test_slugs' => [
'<string>'
],
'created_at_after' => '2023-11-07T05:31:56Z',
'created_at_before' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/"
payload := strings.NewReader("{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/topology-test-summaries/summary/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [\n \"<string>\"\n ],\n \"created_at_after\": \"2023-11-07T05:31:56Z\",\n \"created_at_before\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"topology_group": "<string>",
"display_name": "<string>",
"topology_scope": "single_rack",
"rack_names": [
"<string>"
],
"rack_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"selected_device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"latest_results": {
"pairwise": {},
"collective": {}
}
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Site identifier.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response envelope for topology test summary queries.
Show child attributes
Show child attributes